ViewControllerTGetByIds Method |
POST /View/GetByIds/
Retrieves a view.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetByIds")]
public virtual HttpResponseMessage GetByIds(
[FromBodyAttribute] Guid[] entryIds,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetByIds")>
Public Overridable Function GetByIds (
<FromBodyAttribute> entryIds As Guid(),
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetByIds")]
virtual HttpResponseMessage^ GetByIds(
[FromBodyAttribute] array<Guid>^ entryIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetByIds")>]
abstract GetByIds :
[<FromBodyAttribute>] entryIds : Guid[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
[<HttpPostAttribute>]
[<ActionNameAttribute("GetByIds")>]
override GetByIds :
[<FromBodyAttribute>] entryIds : Guid[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage Parameters
- entryIds
- Type: SystemGuid
The IDs of the views which data is requested. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
ViewData object containing the views data, or a status code indicating the problem.
See Also